{ pkgs, ... }: {
  wayland.windowManager.hyprland.settings = {
    windowrulev2 = [
      "workspace 2, class:^(emacs)$"
      "workspace 3, class:^(kitty)$"
      "workspace 9, class:^(org.qutebrowser.qutebrowser)$"
      "workspace 9, title:^(Chromium)$"
      "fullscreen, class:^(wlogout)$"
      "float, class:^(Zotero)$"
      "float, class:^(firefox)$,title:^(Certificate for )*$"
      "float, class:^(firefox)$,title:^(.*Firefox — Sharing Indicator.*)$"
      "float, class:^(firefox)$,title:^(.*Presensi Mahasiswa.*)$"
      "float, class:(firefox),title:^(Extension)(.*)$"
      "float, class:^(pcmanfm)$,title:^(Confirm File Replacing)$"
      "float, class:^(nemo)$,title:^(Confirm File Replacing)$"
      "float, class:^(nm-connection-editor)$"
      "float, class:^(.*blueman-manager.*)$"
      "size 530 300, class:^(.*blueman-manager.*)$"
      "move 100%-w-20 40, class:^(.*blueman-manager.*)$"
      "noborder, class:^(.*dg-desktop-portal-.*)$"
      "noblur, class:^(.*dg-desktop-portal-.*)$"
      "noshadow, class:^(.*dg-desktop-portal-.*)$"
      "float, class:^(*.dg-desktop-portal-.*)$"
      "pin, class:^(*.dg-desktop-portal-.*)$"
      "pin, class:^(gcr-prompter)$"
      "float, title:^(Volume Control)$"
      "pin, title:^(Volume Control)$"
      "size 560 340, title:^(Volume Control)$"
      "move 100%-w-30 30, title:^(Volume Control)$"
      "float, class:^(spotube)$"
      "size 660 700, class:^(spotube)$"
      "move 100%-w-20 40, class:^(spotube)$"
      "float, title:^(pve - Proxmox Console - Chromium)$"
      "float, class:^(thunderbird)$,title:^(Reminders)$"
      "float, class:^(thunderbird)$,title:^(Edit Event:)$"
      "float, class:^(thunderbird)$,title:^(An error has occurred)$"
      "float, class:^(thunar)$,title:^(File Operation Progress)$"
      "float, class:^(org.kde.polkit-kde-authentication-agent-1)$"
      "size 60% 55%, class:^(nwg-look)$"
      "center, class:^(nwg-look)$"
      "fullscreen, class:^(cool-retro-term.cool-retro-term)$"
      "float, class:^(virt-manager)$,title:^(Virtual Machine Manager)$"
      "size 440 220, class:^(virt-manager)$,title:^(Virtual Machine Manager)$"
      "center, class:^(virt-manager)$,title:^(Virtual Machine Manager)$"
    ];
  };
}
